package org.openntf.sourcesniffer.preferences;

/*
 * (C)Copyright Ferry Kranenburg 2010
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at:
 * 
 * http://www.apache.org/licenses/LICENSE-2.0 
 * 
 * Unless required by applicable law or agreed to in writing, software 
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or 
 * implied. See the License for the specific language governing 
 * permissions and limitations under the License.
 */

import org.eclipse.jface.preference.*;
import org.eclipse.ui.IWorkbenchPreferencePage;
import org.eclipse.ui.IWorkbench;
import org.openntf.sourcesniffer.*;



public class ssPreferencePage
	extends FieldEditorPreferencePage
	implements IWorkbenchPreferencePage {

	public ssPreferencePage() {
		super(GRID);
		setPreferenceStore(Activator.getDefault().getPreferenceStore());
		setDescription("Source Sniffer preferences");
	}
	

	public void createFieldEditors() {
		addField(new DirectoryFieldEditor(ssPreferenceConstants.P_PATH, 
				"&Temporary path for DXL:", getFieldEditorParent()));
		addField(new DirectoryFieldEditor(ssPreferenceConstants.P_LASTSAVEPATH,
				"&Default browse/save path for Source Sniffer-XML files:", getFieldEditorParent()));
		
	}

	
	public void init(IWorkbench workbench) {
	}
	
}